Download it now!
Bug 89702 - DOCX: Bullet character is large
Summary: DOCX: Bullet character is large
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: medium minor
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.1 target:4.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-02-27 01:35 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-02-27 01:35:58 UTC
Steps:
1) Open attachment 113722 [details]
2) Scroll down to page 5
3) Notice that the second level of indents has a large character as its bullet.

Regression as the bullets look fine in 4.3 daily.

Word 2010 vs Master - attachment 113723 [details]

Version: 4.5.0.0.alpha0+
Build ID: 4cf69df2f543b023f4ec3d4279c5ac11a2a819d9
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-02-21_03:46:34
Comment 1 Octavio Alvarez 2015-02-27 02:28:35 UTC
That bullet is using character style ListLabel 1, with 'Verdana 12' as font. Compare them with the original document using Word. Do you have Verdana installed?
Comment 2 Yousuf Philips (jay) (retired) 2015-02-27 06:06:38 UTC
Yes I do have Verdana installed, as i had mentioned that it looked fine in 4.3 daily. :D

In 4.3, the bullets are set to Arial 11pt just like they are in MS Word 2010, while in 4.4+ the bullets are set to Verdana 12pt.
Comment 3 Buovjaga 2015-02-27 14:11:13 UTC
Confirmed.

It's ok in 4.2.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Ubuntu 14.10 64-bit
Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Comment 4 Matthew Francis 2015-03-16 03:36:27 UTC
This seems to have changed as of the below commit.
Adding Cc: to vmiklos@collabora.co.uk; Could you possibly take a look at this? Thanks

    commit c1f8437dbed0e8b989e41a345ef7e658a6e8a4cd
    Author:     Miklos Vajna <vmiklos@collabora.co.uk>
    AuthorDate: Thu Sep 25 21:29:00 2014 +0200
    Commit:     Miklos Vajna <vmiklos@collabora.co.uk>
    CommitDate: Thu Sep 25 21:29:00 2014 +0200
    
        fdo#83465 RTF import: handle font of numbering
    
        Change-Id: If0da6e0e34ce50bbe7dceda089b6bb81b4a63f36
Comment 5 tommy27 2015-06-18 21:16:16 UTC
bullets are still Verdana 12 in LibO 4.4.3.2 and recent 5.1.0.0alpha daily build
Comment 6 Miklos Vajna 2015-07-10 20:32:15 UTC
I'll take care of this.
Comment 7 Commit Notification 2015-07-21 07:10:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fc7c1a07d0d5e21a4e1533a0e5b0ac256763f973

tdf#89702 DOCX import: fix too large bullet character

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-07-24 13:25:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=497b4ff54b8d0afddb8c6e66d4de0187e4fda949&h=libreoffice-5-0

tdf#89702 DOCX import: fix too large bullet character

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-07-29 06:46:58 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3370c2caa28577a80f81efb954a227c58531c6ee&h=libreoffice-4-4

tdf#89702 DOCX import: fix too large bullet character

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 08:47:26 UTC Comment hidden (obsolete)